<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog/1.9"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog/1.9
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-1.9.xsd">

    <changeSet id="0001" author="saliakhov">
        <comment>create comment on column</comment>
        <sql>
			COMMENT ON TABLE public.databasechangelog IS 'Журнал изменений базы данных';
			COMMENT ON TABLE public.databasechangeloglock IS 'Блокировка журнала изменений базы данных';
			COMMENT ON TABLE public.job_position IS 'Должность';
			COMMENT ON TABLE public.link_user_application_user_group IS 'Таблица связи заявок и групп пользователя';
			COMMENT ON TABLE public.recruitment IS 'Военный комиссариат';
			COMMENT ON TABLE public.user_application_document IS 'Документы в заявке пользователя';
			COMMENT ON TABLE public.user_application_list IS 'Список заявок пользователя';


			COMMENT ON COLUMN public.databasechangelog.id IS 'Идентификатор';
			COMMENT ON COLUMN public.databasechangelog.author IS 'Автор';
			COMMENT ON COLUMN public.databasechangelog.filename IS 'Наименование файла';
			COMMENT ON COLUMN public.databasechangelog.dateexecuted IS 'Дата выполнения';
			COMMENT ON COLUMN public.databasechangelog.orderexecuted IS 'Основание выполнения';
			COMMENT ON COLUMN public.databasechangelog.exectype IS 'Тип исполнения';
			COMMENT ON COLUMN public.databasechangelog.md5sum IS 'Контрольная сумма';
			COMMENT ON COLUMN public.databasechangelog.description IS 'Описание';
			COMMENT ON COLUMN public.databasechangelog.comments IS 'Комментарий';
			COMMENT ON COLUMN public.databasechangelog.tag IS 'Метка';
			COMMENT ON COLUMN public.databasechangelog.liquibase IS 'Ликвибейс';
			COMMENT ON COLUMN public.databasechangelog.contexts IS 'Контекст';
			COMMENT ON COLUMN public.databasechangelog.labels IS 'Обозначение';
			COMMENT ON COLUMN public.databasechangelog.deployment_id IS 'Идентификатор развертывания';


			COMMENT ON COLUMN public.databasechangeloglock.id IS 'Идентификатор';
			COMMENT ON COLUMN public.databasechangeloglock.locked IS 'Заблокирован';
			COMMENT ON COLUMN public.databasechangeloglock.lockgranted IS 'Блокировка разрешена';
			COMMENT ON COLUMN public.databasechangeloglock.lockedby IS 'Кем заблокирован';


			COMMENT ON COLUMN public.job_position.job_position_id IS 'Идентификатор должности';
			COMMENT ON COLUMN public.job_position.name IS 'Наименование';
			COMMENT ON COLUMN public.job_position.code IS 'Код';
			COMMENT ON COLUMN public.job_position.start_date IS 'Дата начала';
			COMMENT ON COLUMN public.job_position.close_date IS 'Дата окончания';


			COMMENT ON COLUMN public.link_user_application_user_group.link_user_application_user_group_id IS 'Идентификатор ссылки на заявки и группы пользователя';
			COMMENT ON COLUMN public.link_user_application_user_group.user_application_list_id IS 'Идентификатор списка заявок пользователя';
			COMMENT ON COLUMN public.link_user_application_user_group.user_group_id IS 'Идентификатор групп пользователя';
			COMMENT ON COLUMN public.link_user_application_user_group.created IS 'Создание';


			COMMENT ON COLUMN public.recruitment.region_code IS 'Код региона';
			COMMENT ON COLUMN public.recruitment.ts IS 'Отметка времени';


			COMMENT ON COLUMN public.user_application_document.user_application_document_id IS 'Идентификатор документа в заявке пользователя';
			COMMENT ON COLUMN public.user_application_document.file_name IS 'Документ-обоснование';
			COMMENT ON COLUMN public.user_application_document.file IS 'Файл';
			COMMENT ON COLUMN public.user_application_document.user_application_list_id IS 'Идентификатор списка заявок пользователя';


			COMMENT ON COLUMN public.user_application_list.user_application_list_id IS 'Идентификатор списка заявок пользователя';
			COMMENT ON COLUMN public.user_application_list.application_kind IS 'Вид заявки';
			COMMENT ON COLUMN public.user_application_list.user_login IS 'Логин пользователя';
			COMMENT ON COLUMN public.user_application_list.user_password IS 'Пароль';
			COMMENT ON COLUMN public.user_application_list.secondname IS 'Фамилия';
			COMMENT ON COLUMN public.user_application_list.firstname IS 'Имя';
			COMMENT ON COLUMN public.user_application_list.middlename IS 'Отчество';
			COMMENT ON COLUMN public.user_application_list.phone IS 'Телефон';
			COMMENT ON COLUMN public.user_application_list.ip_address IS 'IP адрес';
			COMMENT ON COLUMN public.user_application_list.start_date IS 'Дата создания';
			COMMENT ON COLUMN public.user_application_list.close_date IS 'Дата закрытия';
			COMMENT ON COLUMN public.user_application_list.user_status IS 'Статус пользователя';
			COMMENT ON COLUMN public.user_application_list.application_status IS 'Вид заявки';
			COMMENT ON COLUMN public.user_application_list.comment IS 'Примечание';
			COMMENT ON COLUMN public.user_application_list.job_position_id IS 'Идентификатор должности';
			COMMENT ON COLUMN public.user_application_list.user_role_id IS 'Идентификатор роли пользователя';
			COMMENT ON COLUMN public.user_application_list.recruitment_id IS 'Организация';
			COMMENT ON COLUMN public.user_application_list.user_account_id IS 'Идентификатор учетной записи пользователя';
			COMMENT ON COLUMN public.user_application_list.sex IS 'Пол';
			COMMENT ON COLUMN public.user_application_list.birth_date IS 'Дата рождения';
			COMMENT ON COLUMN public.user_application_list.snils IS 'СНИЛС';
			COMMENT ON COLUMN public.user_application_list.job_position IS 'Должность';
			COMMENT ON COLUMN public.user_application_list.ip_address_additional IS 'Дополнительный IP адрес';
			COMMENT ON COLUMN public.user_application_list.number_app IS 'Номер заявки';
			COMMENT ON COLUMN public.user_application_list.edit_comment IS 'Примечание по изменениям';
        </sql>
    </changeSet>

    <changeSet id="0002" author="saliakhov">
        <comment>create comment on column</comment>
        <sql>
           COMMENT ON TABLE security.access_level IS 'Уровень доступа';
			COMMENT ON TABLE security.authority IS 'Полномочия';
			COMMENT ON TABLE security.databasechangelog IS 'Журнал изменений базы данных';
			COMMENT ON TABLE security.databasechangeloglock IS 'Блокировка журнала изменений базы данных';
			COMMENT ON TABLE security.esia_user IS 'Пользователь ЕСИА';
			COMMENT ON TABLE security.link_user_account_user_group IS 'Таблица связи учетных записей и групп пользователей';
			COMMENT ON TABLE security.link_user_group_user_role IS 'Таблица связи групп и ролей пользователя';
			COMMENT ON TABLE security.link_user_role_authority IS 'Таблица связи ролей и полномочий пользователя';
			COMMENT ON TABLE security.org_unit IS 'Организация';
			COMMENT ON TABLE security.org_unit_additional_info IS 'Дополнительная информация организации';
			COMMENT ON TABLE security.simple_credentials IS 'Учетные данные';
			COMMENT ON TABLE security.user_account IS 'Учетная запись пользователя';
			COMMENT ON TABLE security.user_account_refresh_token IS 'Обновление токена учетной записи пользователя';
			COMMENT ON TABLE security.user_account_verification IS 'Верификация учетной записи пользователя';
			COMMENT ON TABLE security.user_group IS 'Группа пользователя';
			COMMENT ON TABLE security.user_role IS 'Роли пользователя';
			
			
			COMMENT ON COLUMN security.access_level.access_level_id IS 'Идентификатор уровня доступа';
			COMMENT ON COLUMN security.access_level.level IS 'Уровень доступа';
			COMMENT ON COLUMN security.access_level.description IS 'Описание';


			COMMENT ON COLUMN security.authority.authority_id IS 'Идентификатор полномочия';
			COMMENT ON COLUMN security.authority.name IS 'Наименование';
			COMMENT ON COLUMN security.authority.created IS 'Время создания';


			COMMENT ON COLUMN security.databasechangelog.id IS 'Идентификатор изменения';
			COMMENT ON COLUMN security.databasechangelog.author IS 'Автор';
			COMMENT ON COLUMN security.databasechangelog.filename IS 'Наименование файла ';
			COMMENT ON COLUMN security.databasechangelog.dateexecuted IS 'Дата выполнения';
			COMMENT ON COLUMN security.databasechangelog.orderexecuted IS 'Постановление';
			COMMENT ON COLUMN security.databasechangelog.exectype IS 'Тип выполнения';
			COMMENT ON COLUMN security.databasechangelog.md5sum IS 'Контрольная сумма';
			COMMENT ON COLUMN security.databasechangelog.description IS 'Описание';
			COMMENT ON COLUMN security.databasechangelog.comments IS 'Комментарий';
			COMMENT ON COLUMN security.databasechangelog.tag IS 'Метка';
			COMMENT ON COLUMN security.databasechangelog.liquibase IS 'Ликвибейс';
			COMMENT ON COLUMN security.databasechangelog.contexts IS 'Контекст';
			COMMENT ON COLUMN security.databasechangelog.labels IS 'Лейбл';
			COMMENT ON COLUMN security.databasechangelog.deployment_id IS 'Идентификатор развертывания';


			COMMENT ON COLUMN security.databasechangeloglock.id IS 'Идентификатор';
			COMMENT ON COLUMN security.databasechangeloglock.locked IS 'Заблокирован';
			COMMENT ON COLUMN security.databasechangeloglock.lockgranted IS 'Блокировка разрешена';
			COMMENT ON COLUMN security.databasechangeloglock.lockedby IS 'Кем заблокирован';


			COMMENT ON COLUMN security.esia_user.esia_user_id IS 'Идентификатор пользователя ЕСИА';
			COMMENT ON COLUMN security.esia_user.user_account_id IS 'Идентификатор группы пользователя';
			COMMENT ON COLUMN security.esia_user.person_contact_id IS 'Идентификатор связи лица';


			COMMENT ON COLUMN security.link_user_account_user_group.link_user_account_user_group_id IS 'Идентификатор учетной записи и групп пользователя';
			COMMENT ON COLUMN security.link_user_account_user_group.user_account_id IS 'Идентификатор учетной записи пользователя';
			COMMENT ON COLUMN security.link_user_account_user_group.user_group_id IS 'Идентификатор групп пользователя';
			COMMENT ON COLUMN security.link_user_account_user_group.created IS 'Дата создания';


			COMMENT ON COLUMN security.link_user_group_user_role.link_user_group_user_role_id IS 'Идентификатор групп и ролей пользователя';
			COMMENT ON COLUMN security.link_user_group_user_role.user_group_id IS 'Идентификатор групп пользователя';
			COMMENT ON COLUMN security.link_user_group_user_role.user_role_id IS 'Идентификатор роли пользователя';
			COMMENT ON COLUMN security.link_user_group_user_role.created IS 'Дата создания';


			COMMENT ON COLUMN security.link_user_role_authority.user_role_authority_id IS 'Идентификатор роли и полномочия пользователя';
			COMMENT ON COLUMN security.link_user_role_authority.user_role_id IS 'Идентификатор роли пользователя';
			COMMENT ON COLUMN security.link_user_role_authority.authority_id IS 'Идентификатор полномочия';
			COMMENT ON COLUMN security.link_user_role_authority.created IS 'Дата создания';


			COMMENT ON COLUMN security.org_unit.id IS 'Идентификатор';
			COMMENT ON COLUMN security.org_unit.name IS 'Подразделение';
			COMMENT ON COLUMN security.org_unit.code IS 'Код';
			COMMENT ON COLUMN security.org_unit.parent_id IS 'Родительская организация';
			COMMENT ON COLUMN security.org_unit.removed IS 'Удаленный';


			COMMENT ON COLUMN security.org_unit_additional_info.id IS 'Идентификатор';
			COMMENT ON COLUMN security.org_unit_additional_info.schema IS 'Схема';


			COMMENT ON COLUMN security.simple_credentials.user_account_id IS 'Идентификатор учетной записи пользователя';
			COMMENT ON COLUMN security.simple_credentials.password IS 'Пароль';
			COMMENT ON COLUMN security.simple_credentials.password_expires IS 'Пароль актуален до';
			COMMENT ON COLUMN security.simple_credentials.password_updated IS 'Пароль изменен';


			COMMENT ON COLUMN security.user_account.user_account_id IS 'Идентификатор учетной записи пользователя';
			COMMENT ON COLUMN security.user_account.email IS 'Электронная почта';
			COMMENT ON COLUMN security.user_account.first_name IS 'Имя';
			COMMENT ON COLUMN security.user_account.last_name IS 'Фамилия';
			COMMENT ON COLUMN security.user_account.middle_name IS 'Отчество';
			COMMENT ON COLUMN security.user_account.created IS 'Логин создан';
			COMMENT ON COLUMN security.user_account.updated IS 'Изменен';
			COMMENT ON COLUMN security.user_account.locked IS 'Заблокирован';
			COMMENT ON COLUMN security.user_account.org_unit_id IS 'Организация';
			COMMENT ON COLUMN security.user_account.username IS 'Логин';
			COMMENT ON COLUMN security.user_account.phone IS 'Телефон';
			COMMENT ON COLUMN security.user_account.email_confirmed IS 'Электронная почта подтверждена';
			COMMENT ON COLUMN security.user_account.user_source IS 'Источник учетной записи';
			COMMENT ON COLUMN security.user_account.source_name IS 'Наименование источника';


			COMMENT ON COLUMN security.user_account_refresh_token.user_account_refresh_token_id IS 'Идентификатор обновления токена учетной записи пользователя';
			COMMENT ON COLUMN security.user_account_refresh_token.user_account_id IS 'Идентификатор учетной записи пользователя';
			COMMENT ON COLUMN security.user_account_refresh_token.refresh_token IS 'Обновления токена';
			COMMENT ON COLUMN security.user_account_refresh_token.access_token IS 'Доступ к токену';
			COMMENT ON COLUMN security.user_account_refresh_token.expiration_time IS 'Истечение срока действия';


			COMMENT ON COLUMN security.user_account_verification.user_account_id IS 'Идентификатор учетной записи пользователя';
			COMMENT ON COLUMN security.user_account_verification.token IS 'Токен';
			COMMENT ON COLUMN security.user_account_verification.created IS 'Время создания';


			COMMENT ON COLUMN security.user_group.user_group_id IS 'Идентификатор группы пользователя';
			COMMENT ON COLUMN security.user_group.name IS 'Наименование группы';
			COMMENT ON COLUMN security.user_group.created IS 'Дата создания';
			COMMENT ON COLUMN security.user_group.updated IS 'Дата и время последнего изменения';
			COMMENT ON COLUMN security.user_group.access_level_id IS 'Идентификатор уровня доступа';


			COMMENT ON COLUMN security.user_role.user_role_id IS 'Идентификатор роли пользователя';
			COMMENT ON COLUMN security.user_role.name IS 'Имя';
			COMMENT ON COLUMN security.user_role.created IS 'Создана';
			COMMENT ON COLUMN security.user_role.updated IS 'Изменена';
		</sql>
    </changeSet>	
</databaseChangeLog>